Infront Data Manager Connect Client (.NET)

Public Member Functions | List of all members
Gevasys.DataCore.Core.IO.SocketReader Class Reference

More...

Inherits Gevasys.DataCore.Core.IO.BinaryReader, and Gevasys.DataCore.Core.IRunnable.

## Public Member Functions
| SocketReader (ITcpConsumer socketConsumer, String ipAddress, int port, Queue< UpdateMessage > updateQueue, Semaphore available, string parameters)
void | Run ()
| Start socket processing, call when client has connected before More...
void | Stop ()
| Implement this method to stop the Thread. More...
override void | ProcessError (ReaderAbortReason reason, Exception e)
Public Member Functions inherited from Gevasys.DataCore.Core.IO.BinaryReader
| BinaryReader (Queue< UpdateMessage > updateQueue, Semaphore available)

## Additional Inherited Members
Protected Member Functions inherited from Gevasys.DataCore.Core.IO.BinaryReader
void | DecodeMessages (ByteBuffer buffer)
void | Read ()
Protected Attributes inherited from Gevasys.DataCore.Core.IO.BinaryReader
bool | stop
BufferedStream | m_bufferedInputStream

## Detailed Description

Represents a reader for reading byte data from a vwd data manager [connect] server TCP connection . The reader reads raw binary message data from the connection , decompress them if necessary and decode/store them in an ArrayDeque as instances of UpdateMessage.

## Constructor & Destructor Documentation

## ◆ SocketReader()

Gevasys.DataCore.Core.IO.SocketReader.SocketReader | ( | ITcpConsumer | socketConsumer,
|  | String | ipAddress,
|  | int | port,
|  | Queue< UpdateMessage > | updateQueue,
|  | Semaphore | available,
|  | string | parameters
| ) |  |
| inline

Parameters

  socketConsumer | The attached ITcpConsumer that owns this reader.
  ipAddress | The IP-Address of the remote vwd data core server connection.
  port | The Port of the remote vwd data core server connection.
  updateQueue | The Queue in which all read and decoded messages will be stored.
  available | A Semaphore for synchronizing the access to the updateQueue.

## Member Function Documentation

## ◆ Run()

void Gevasys.DataCore.Core.IO.SocketReader.Run | ( |  | ) |
| inline

Start socket processing, call when client has connected before

Implements Gevasys.DataCore.Core.IRunnable.

## ◆ Stop()

void Gevasys.DataCore.Core.IO.SocketReader.Stop | ( |  | ) |
| inline

Implement this method to stop the Thread.

Implements Gevasys.DataCore.Core.IRunnable.

The documentation for this class was generated from the following file:

- SocketReader.cs

Copyright (C) 2021 Infront Financial Technology GmbH
Mainzer Landstrasse 178 – 190
60327 Frankfurt am Main
Infront Data Manager Connect V4.1